
# ~/.bash_common.sh
# Both ~/.bashrc and ~/.bash_profile will source this

#echo "~/.bash_common.sh"

# {{{ Loading help

HOME_BASH_COMMON=1
export HOME_BASH_COMMON

if [ -n "$HOME_SHINIT" ]
then
    if [ "$HOME_SHINIT" -gt 0 ]
    then
        :
        #echo PAH ~/.shinit.sh
    fi
else
    #echo SUCK ~/.shinit.sh
    . "${HOME}/.shinit.sh"
    HOME_SHINIT="1"
    export HOME_SHINIT
fi

#echo SUCK ~/.shinit.sh
#HOME_SHINIT="1"
#export HOME_SHINIT
#. "${HOME}/.shinit.sh"

# }}}
# {{{ Command for interactive shells only

case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    # (both login- and non-login)
    #echo "Interactive shell!"


    # check the window size after each command and, if necessary,
    # update the values of LINES and COLUMNS.
    shopt -s checkwinsize

    # don't put duplicate lines in the history. See bash(1) for more options
    export HISTCONTROL=ignoredups

    # vi-like keybindings:
    #set -o vi

    export TTYBASE="`tty | sed 's/\/dev\///'`"
    # ${WINDOW} is set by a program called screen. Woohou!
    export WINDOWTEXT="${WINDOW:+.${WINDOW}}"

PS1='[\s] \! | ${TTYBASE}${WINDOWTEXT} | \u@\h | \D{%a %d %b %Y} \D{%H:%M:%S}
$PWD
\$ '

    if test -f /usr/xpg4/bin/id
    then
        ID_BIN="/usr/xpg4/bin/id"
    else
        ID_BIN="id"
    fi

    if [ "`$ID_BIN -u`" = "0" ]
    then
        PS1="-=*[ROOT]*=- $PS1"
    fi

    export PS1

    if [ "$PS1" -a -f /etc/bash_completion ]
    then
        . /etc/bash_completion
    fi
    loadallbashrc ()
    {

        . "/etc/profile"

        . "/etc/bashrc"
        . "/etc/bash.bashrc"

        . "${HOME}/.shinit.sh"

        . "${HOME}/.bashrc"
        . "${HOME}/.bash_common.sh"
        . "${HOME}/.bash_profile"

    }

    # End stuff for interactive-shells only
esac

    # {{{ Cool titlebars

    #TTLSTR="$USER\@$HOSTNAME:$PWD | $COLUMNS\x$LINES | $TTYBASE"


    case "$TERM" in
        *xterm*|rxvt*|putty*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm)
        export PROMPT_COMMAND='echo -ne "\033]0;${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}${WINDOWTEXT}\007"'
        ;;

        sun-cmd)
        export PROMPT_COMMAND='echo -ne "\e]l${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}\e\\" ; echo -ne "\e]L${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}${WINDOWTEXT}\e\\"'
        ;;

        iris-ansi)
        export PROMPT_COMMAND='echo -ne "\eP1.y${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}\e\\" ; echo -ne "\eP3.y${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}${WINDOWTEXT}\e\\"'
        ;;

        hpterm)
        export PROMPT_COMMAND='str="\e]0;${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}${WINDOWTEXT}\a" ; echo -ne "\e&f0k${#str}D${str}" ; echo -ne "\e&f-1k${#str}D${str}"'
        ;;
        screen*)
        export PROMPT_COMMAND='echo -ne "\033_${USER}@${HOSTNAME}:${PWD} | ${COLUMNS}x${LINES} | ${TTYBASE}${WINDOWTEXT}\033\\"'
        ;;

        *)
        true

    esac

# }}}


# }}}

